%define anolis_release 1
%global pypi_name hidapi
%global py_setup_args --with-system-hidapi

Name:     python-%{pypi_name}
Version:  0.11.2
Release:  %{anolis_release}%{?dist}
Summary:  Interface to the %{pypi_name} library

License:  GPLv3+ or BSD or Public Domain
URL:      https://github.com/trezor/cython-hidapi
Source0:  %{pypi_source}

BuildRequires:  gcc
BuildRequires:  hidapi-devel
BuildRequires:  libusb-devel
BuildRequires:  libudev-devel

%description
%{summary}.


%package -n python3-%{pypi_name}
Summary:  %{summary}

BuildRequires:  python3-Cython
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
%{summary}.


%prep
%autosetup -n %{pypi_name}-%{version}

# Remove pre-built and bundled hidapi.
rm -rf hidapi %{pypi_name}.egg-info hid.c


%build
%py3_build


%install
%py3_install


%check
export PYTHONPATH="%{buildroot}%{python3_sitearch}"
%{__python3} tests.py


%files -n python3-%{pypi_name}
%license LICENSE*.txt
%doc PKG-INFO README.rst try.py
%{python3_sitearch}/hid%{python3_ext_suffix}
%{python3_sitearch}/hidraw%{python3_ext_suffix}
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Fri May 06 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.11.2-1
- Init from upstream  version 0.11.2

